/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.sensor.cropcircle;

import java.io.Serializable;
import nl.cloudfarming.client.model.EnterpriseIdProvider;
import nl.cloudfarming.client.sensor.model.SensorObservation;

/**
 * @author Merijn Zengers
 */
public class CropcircleSensorObservation extends SensorObservation implements Serializable {

    private int fixType;
    private double sensor;
    private String appRate;
    private Double vi2;
    
    public CropcircleSensorObservation() {
    }

    public CropcircleSensorObservation(EnterpriseIdProvider eip,int fixType, double sensor, String appRate) {
        this.fixType = fixType;
        this.sensor = sensor;
        this.appRate = appRate;
    }

    public String getAppRate() {
        return appRate;
    }

    public void setAppRate(String appRate) {
        this.appRate = appRate;
    }


    public int getFixType() {
        return fixType;
    }

    public void setFixType(int fixType) {
        this.fixType = fixType;
    }

    public double getR1() {
        return getReading1();
    }

    public void setR1(double r1) {
        setReading1(r1);
    }

    public double getR2() {
        return getReading2();
    }

    public void setR2(double r2) {
        setReading2(r2);
    }

    public double getR3() {
        return getReading3();
    }

    public void setR3(double r3) {
        setReading3(r3);
    }

    public double getSensor() {
        return sensor;
    }

    public void setSensor(double sensor) {
        this.sensor = sensor;
    }
   
    /**
     * vi1 maps to ndvi
     * @return NDVI
     */
    public double getVi1() {
        return getNdvi();
    }

    /**
     * Vi1 maps to ndvi
     * @param NDVI/VI1 value
     */
    public void setVi1(double vi1) {
        setNdvi(vi1);
    }
    
    public double getVi2() {
        return vi2;
    }

    public void setVi2(double vi2) {
        this.vi2 = vi2;
    }
}
